package il.ac.tau.cs.software1.oldmac.animals;

public class Dog implements IAnimal {

	public static Dog getInstance() {
		if (instance == null) {
			instance = new Dog();
		}
		return instance;
	}
	
	@Override
	public String getName() {
		return "dog";
	}

	@Override
	public String getSound() {
		return "woof";
	}
	
	private Dog() {
		
	}
	
	private static Dog instance;

}

