package il.ac.tau.cs.software1.oldmac.animals;

public class Horse implements IAnimal {

	public static Horse getInstance() {
		if (instance == null) {
			instance = new Horse();
		}
		return instance;
	}
	
	@Override
	public String getName() {
		return "horse";
	}

	@Override
	public String getSound() {
		return "heehaw";
	}
	
	private Horse() {
		
	}
	
	private static Horse instance;

}
