package il.ac.tau.cs.software1.oldmac.animals;


public class Pig implements IAnimal {

	public static Pig getInstance() {
		if (instance == null) {
			instance = new Pig();
		}
		return instance;
	}
	
	@Override
	public String getName() {
		return "pig";
	}

	@Override
	public String getSound() {
		return "oink";
	}
	
	private Pig() {
		
	}
	
	private static Pig instance;

}
