package il.ac.tau.cs.software1.oldmac.animals;

public class Cow implements IAnimal {

	public static Cow getInstance() {
		if (instance == null) {
			instance = new Cow();
		}
		return instance;
	}
	
	@Override
	public String getName() {
		return "cow";
	}

	@Override
	public String getSound() {
		return "moo";
	}
	
	private Cow() {
		
	}
	
	private static Cow instance;

}

